petsc-3.7.1 2016-05-15
Report Typos and Errors

# PETSC_VIEWER_MATLAB_

Creates a Matlab PetscViewer shared by all processors in a communicator.

### Synopsis

    PetscViewer  PETSC_VIEWER_MATLAB_(MPI_Comm comm)

Collective on MPI_Comm Many br

### Input Parameter

comm -the MPI communicator to share the Matlab PetscViewer Many br

Many br

### Options Database Keys

-viewer_matlab_filename <name> - Many brEnvironmental variables: Many br
PETSC_VIEWER_MATLAB_FILENAME - Many brNotes: Many brUnlike almost all other PETSc routines, PETSC_VIEWER_MATLAB_ does not return Many bran error code. The matlab PetscViewer is usually used in the form Many br

          XXXView(XXX object,PETSC_VIEWER_MATLAB_(comm));

Use PETSC_VIEWER_SOCKET_() or PetscViewerSocketOpen() to communicator with an interactive MATLAB session. Many br

### See Also

PETSC_VIEWER_MATLAB_WORLD, PETSC_VIEWER_MATLAB_SELF, PetscViewerMatlabOpen(), PetscViewerCreate(),
PetscViewerDestroy() Many br

Level:intermediate
Location:src/sys/classes/viewer/impls/matlab/vmatlab.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages